import greenfoot.*;

public class BarrelWorld extends World
{
    private int score = 0;
    private int lives = 3;
   
    public void act()
    {
        if (Greenfoot.getRandomNumber(100) < 1)
        {
           addObject(new Rocket(), Greenfoot.getRandomNumber(800), 10);
        }
        showScore();
        showLives();
    }
    public BarrelWorld()
    {    
        super(800, 600, 1); 
        int i = 0;
        while (i < 3)
        {
           addObject (new Rocket(),(Greenfoot.getRandomNumber(800)), 10); 
           i = i+1;
        }
        
        int b = 0; 
        while (b < 3)
        {
           addObject (new Barrel(250),(Greenfoot.getRandomNumber(600)+150) ,(Greenfoot.getRandomNumber(400)+100)); 
           b = b+1;
        }
        addObject (new Plane(), 400, 500);
    }
    
    public void updateScore(int points)
    {
        score = score + points;
        showScore();
        showText("Score:"+score, 50, 550);
    }
    void showScore()
    {
        showText("Score:"+score, 50, 550);
        
    }
    public void removeLives(int points)
    {
        lives = lives + points;
        showLives();
        showText("Lives:"+lives, 50 , 575); 
        if(lives==0)
        {
            Greenfoot.stop();
        }
    }
    void showLives()
    {
        showText("Lives:"+lives, 50 , 575); 
    }
}
